.sort-container {
  position: relative;
  display: inline-block;
  margin-left: 8px;
}

.sort-dropdown {
  display: none;
  position: absolute;
  right: 0;
  top: 120%;
  background: var(--bg-secondary);
  min-width: 180px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  border-radius: var(--radius-lg);
  overflow: hidden;
  z-index: 101;
}

.sort-dropdown.show {
  display: block;
}

.dropdown-button {
  width: 100%;
  padding: var(--space-md) var(--space-xl);
  color: var(--text-primary);
  white-space: nowrap;
  text-align: left;
  background: transparent;
  font-size: var(--fs-sm);
}

.dropdown-button:active {
  background-color: rgba(var(--primary-rgb), 0.3);
}

.dropdown-button.active {
  background-color: rgba(var(--primary-rgb), 0.4);
}
